Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class ExtensionPoint

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ExtensionPoint

    public class ExtensionPoint

extends java.lang.Object

Constructor Summary
`ExtensionPoint()`

Method Summary
`java.lang.String` | `getBaseDn()`
`java.util.List<InstanceIdAttribute>` | `getInstanceIdAttrs()`
`java.lang.String` | `getLdapAlias()`
`java.lang.String` | `getLdapAttribute()`
`java.lang.String` | `getModelTemplate()`
`java.lang.String` | `getQuery()`
`java.lang.String` | `getSearchScope()`
`boolean` | `isComplete()`
`void` | `setBaseDn(java.lang.String baseDn)`
`void` | `setComplete(boolean complete)`
`void` | `setInstanceIdAttrs(java.util.List<InstanceIdAttribute> instanceIdAttrs)`
`void` | `setLdapAlias(java.lang.String ldapAlias)`
`void` | `setLdapAttribute(java.lang.String ldapAttribute)`
`void` | `setModelTemplate(java.lang.String modelTemplate)`
`void` | `setQuery(java.lang.String query)`
`void` | `setSearchScope(java.lang.String searchScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtensionPoint

    public ExtensionPoint()

Method Detail

### isComplete

    public boolean isComplete()

### setComplete

    public void setComplete(boolean complete)

### getLdapAlias

    public java.lang.String getLdapAlias()

### setLdapAlias

    public void setLdapAlias(java.lang.String ldapAlias)

### getLdapAttribute

    public java.lang.String getLdapAttribute()

### setLdapAttribute

    public void setLdapAttribute(java.lang.String ldapAttribute)

### getModelTemplate

    public java.lang.String getModelTemplate()

### setModelTemplate

    public void setModelTemplate(java.lang.String modelTemplate)

### getQuery

    public java.lang.String getQuery()

### setQuery

    public void setQuery(java.lang.String query)

### getSearchScope

    public java.lang.String getSearchScope()

### setSearchScope

    public void setSearchScope(java.lang.String searchScope)

### getInstanceIdAttrs

    public java.util.List<InstanceIdAttribute> getInstanceIdAttrs()

### setInstanceIdAttrs

    public void setInstanceIdAttrs(java.util.List<InstanceIdAttribute> instanceIdAttrs)

### getBaseDn

    public java.lang.String getBaseDn()

### setBaseDn

    public void setBaseDn(java.lang.String baseDn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.